# Contributing to DotKernel 3

## Bug Reports & Feature Requests
The `Apidemia` team heavily uses GitHub for our open source software management. 
We use GitHub issues to track all bugs and features.

* **Open an issue**  here on GitHub. URL: `https://github.com/dotkernel/`**repo**`/issues`
If you can, **please provide a fix and create a pull request (PR) instead**; this will automatically create an issue for you.
* Report security issues only to security@dotkernel.com
* Please be patient as not all items will be tested immediately - remember, DotKernel 3 is open source and free of charge. 
* Occasionally we'll close issues if they appear stale or are too vague - please don't take this personally! 
Please feel free to re-open issues we've closed if there's something we've missed and they still need to be addressed.

## Contributing Pull Requests
PR's are even better than issues. 
We gladly accept community pull requests. 
There are a few necessary steps before we can accept a pull request:

* **Open an issue** describing the problem that you are looking to solve in 
your PR (if one is not already open), and your approach to solving it (no necessary for bug fixes - only feature contributions). URL format: `https://github.com/dotkernel/`**repo**`/issues` -
* [Fork the repository!](https://help.github.com/articles/fork-a-repo/) Code! Follow the coding standards **PSR-1** and **PSR-2**
* **Send a pull request** from your fork’s branch to our `master` branch.

 > Note: **`repo`** will be replaced with the relevant repository name.
